# Shower Presentation Template

<img src="pictures/logo.png" width="250" alt="Shower logo">

> Shower ['ʃəuə] noun. A person or thing that shows.

1. Built on HTML, CSS and vanilla JavaScript
2. Works in all modern browsers
3. Themes are separated from engine
4. Modular and extensible
5. Fully keyboard accessible
6. Printable to PDF

[See it in action](http://shwr.me/). Includes [Ribbon](https://github.com/shower/ribbon/) and [Material](https://github.com/shower/material/) themes, and [core](https://github.com/shower/core/) with plugins.

Follow [@shower_me](https://twitter.com/shower_me) for support and updates, [file an issue](https://github.com/shower/shower/issues/new) if you have any.

## Quick Start

1. Download and unzip [template archive](http://shwr.me/shower.zip)
2. Open `index.html` and start creating your presentation

## Advanced

1. [Fork](https://github.com/shower/shower/fork) this repository
2. Go to fork setting and rename it: `shower` → `my-slides`
2. Clone it to your computer: `git clone git@github.com:username/my-slides.git`
3. Go to `my-slides` folder and install dependencies: `npm install`
4. Start creating your presentation

Once you’re done you can build a clean copy of your slides:

	npm run prepare

And you’ll find your presentation in `prepared` folder with only needed files in it. You can also run `npm run archive` to get the same files in `archive.zip`. But there’s more! You can easily publish your presentation online by running:

	npm run publish

And you’ll have your slides published on `http://username.github.io/my-slides/`.

## Usage Examples

- [Installable Web Apps](http://pepelsbey.net/pres/web-apps/)
- [Clear and Sharp](http://pepelsbey.net/pres/clear-and-sharp/)
- [CSS Management](http://pepelsbey.net/pres/knife-train/)
- [Push it!](http://pepelsbey.net/pres/push-it/)
- [Pre-fixes](http://pepelsbey.net/pres/pre-fixes/)
- [Web In Curves](http://pepelsbey.net/pres/web-in-curves/)
- [Sense Coding](http://pepelsbey.net/pres/sense-coding/)

## Browser Support

Latest stable versions of Chrome, Internet Explorer, Firefox, Opera and Safari are supported.

## Contributing

You’re always welcome to contribute. Fork project, make changes and send it as pull request. But it’s better to file an [issue](https://github.com/shower/shower/issues) with your idea first. Read [contributing rules](CONTRIBUTING.md) for more details.

Main contributors in historical order: [pepelsbey](https://github.com/pepelsbey), [jahson](https://github.com/jahson), [miripiruni](https://github.com/miripiruni), [kizu](https://github.com/kizu), [artpolikarpov](https://github.com/artpolikarpov), [tonyganch](https://github.com/tonyganch), [zloylos](https://github.com/zloylos).

---
Licensed under [MIT License](LICENSE.md).
